Subject: mushroom gathering in Oregon

From: [email-masked] (TomGPDX)
Date: 26 Aug 1996 23:42:59 -0400

am looking for help finding a group of experienced mushroom gatherers in
the northwest Oregon area.  My wife has been helping a Russian immigrant
couple for the last few months and she learned today that mushroom
gathering in the fall is a favorite past time in Russia.  I would like to
locate a group or get some ideas on where one could get in touch with
local mushroom people.  Any assistance would be appreciated.

Thanks

[email-masked]

---

From: Lou Hsu <[email-masked]>
Date: 28 Aug 1996 05:58:45 GMT

May be John Donohue can help or at lease point the way - 503 753 8198(area 
code may have changed)-Lou Hsu
[email-masked]